// FE_Tetra_CP1.h
// James Liu, ColoState; 2014/07--2016/05

#include "matrix.h"

#include "cell3d.h"
#include "mat3.h"
#include "PtVec3d.h"


int FE_Tetra_CP1_BasFxnVal(double val[4], const Tetra &Te, PtVec3d pt);

int FE_Tetra_CP1_BasFxnGrad(PtVec3d BasFxnGrad[4], const Tetra &Te);

FullMatrix FE_Tetra_CP1_EltGradGradMatK(const Tetra &Te, const Mat3 &MatK);

// FE_Tetra_CP1.h